com.mysql.jdbc

## Class JDBC4ClientInfoProviderSP

- java.lang.Object
- - com.mysql.jdbc.JDBC4ClientInfoProviderSP

All Implemented Interfaces:
  JDBC4ClientInfoProvider

    public class JDBC4ClientInfoProviderSP
    extends java.lang.Object
    implements JDBC4ClientInfoProvider

### Field Summary

Fields
`(package private) java.sql.PreparedStatement` `getClientInfoBulkSp`
`(package private) java.sql.PreparedStatement` `getClientInfoSp`
`(package private) java.sql.PreparedStatement` `setClientInfoSp`

### Constructor Summary

Constructors
Constructor and Description
`JDBC4ClientInfoProviderSP()`

### Method Summary

Methods
`void` `destroy()` Called once by the driver when the connection this provider instance belongs to is being closed.
`java.util.Properties` `getClientInfo(java.sql.Connection conn)` Returns the client info for the connection that this provider instance belongs to.
`java.lang.String` `getClientInfo(java.sql.Connection conn, java.lang.String name)` Returns the client info for the connection that this provider instance belongs to.
`void` `initialize(java.sql.Connection conn, java.util.Properties configurationProps)` Called once by the driver when it needs to configure the provider.
`void` `setClientInfo(java.sql.Connection conn, java.util.Properties properties)` Sets the client info for the connection that this provider instance belongs to.
`void` `setClientInfo(java.sql.Connection conn, java.lang.String name, java.lang.String value)` Sets the client info for the connection that this provider instance belongs to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### setClientInfoSp

    java.sql.PreparedStatement setClientInfoSp

#### getClientInfoSp

    java.sql.PreparedStatement getClientInfoSp

#### getClientInfoBulkSp

    java.sql.PreparedStatement getClientInfoBulkSp

### Constructor Detail

#### JDBC4ClientInfoProviderSP

    public JDBC4ClientInfoProviderSP()

### Method Detail

#### initialize

    public void initialize(java.sql.Connection conn,
                  java.util.Properties configurationProps)
                    throws java.sql.SQLException

Description copied from interface: `JDBC4ClientInfoProvider`
Called once by the driver when it needs to configure the provider.

Specified by:
  `initialize` in interface `JDBC4ClientInfoProvider`
Parameters:
  `conn` - the connection that the provider belongs too.
  `configurationProps` - a java.util.Properties instance that contains configuration information for the connection.
Throws:
  `java.sql.SQLException` - if initialization fails.

#### destroy

    public void destroy()
                 throws java.sql.SQLException

Description copied from interface: `JDBC4ClientInfoProvider`
Called once by the driver when the connection this provider instance belongs to is being closed. Implementations are expected to clean up and resources at this point in time.

Specified by:
  `destroy` in interface `JDBC4ClientInfoProvider`
Throws:
  `java.sql.SQLException` - if an error occurs.

#### getClientInfo

    public java.util.Properties getClientInfo(java.sql.Connection conn)
                                       throws java.sql.SQLException

Description copied from interface: `JDBC4ClientInfoProvider`
Returns the client info for the connection that this provider instance belongs to. The connection instance is passed as an argument for convenience's sake. Providers can use the connection to communicate with the database, but it will be within the scope of any ongoing transactions, so therefore implementations should not attempt to change isolation level, autocommit settings or call rollback() or commit() on the connection.

Specified by:
  `getClientInfo` in interface `JDBC4ClientInfoProvider`
Returns:
Throws:
  `java.sql.SQLException`
See Also:
  `Connection.getClientInfo()`

#### getClientInfo

    public java.lang.String getClientInfo(java.sql.Connection conn,
                                 java.lang.String name)
                                   throws java.sql.SQLException

Description copied from interface: `JDBC4ClientInfoProvider`
Returns the client info for the connection that this provider instance belongs to. The connection instance is passed as an argument for convenience's sake. Providers can use the connection to communicate with the database, but it will be within the scope of any ongoing transactions, so therefore implementations should not attempt to change isolation level, autocommit settings or call rollback() or commit() on the connection.

Specified by:
  `getClientInfo` in interface `JDBC4ClientInfoProvider`
Returns:
Throws:
  `java.sql.SQLException`
See Also:
  `Connection.getClientInfo(java.lang.String)`

#### setClientInfo

    public void setClientInfo(java.sql.Connection conn,
                     java.util.Properties properties)
                       throws java.sql.SQLClientInfoException

Description copied from interface: `JDBC4ClientInfoProvider`
Sets the client info for the connection that this provider instance belongs to. The connection instance is passed as an argument for convenience's sake. Providers can use the connection to communicate with the database, but it will be within the scope of any ongoing transactions, so therefore implementations should not attempt to change isolation level, autocommit settings or call rollback() or commit() on the connection.

Specified by:
  `setClientInfo` in interface `JDBC4ClientInfoProvider`
Throws:
  `java.sql.SQLClientInfoException`
See Also:
  `Connection.setClientInfo(java.util.Properties)`

#### setClientInfo

    public void setClientInfo(java.sql.Connection conn,
                     java.lang.String name,
                     java.lang.String value)
                       throws java.sql.SQLClientInfoException

Description copied from interface: `JDBC4ClientInfoProvider`
Sets the client info for the connection that this provider instance belongs to. The connection instance is passed as an argument for convenience's sake. Providers can use the connection to communicate with the database, but it will be within the scope of any ongoing transactions, so therefore implementations should not attempt to change isolation level, autocommit settings or call rollback() or commit() on the connection.

Specified by:
  `setClientInfo` in interface `JDBC4ClientInfoProvider`
Throws:
  `java.sql.SQLClientInfoException`
See Also:
  `Connection.setClientInfo(java.lang.String,java.lang.String)`